# VertexColors(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``VertexColors`(bpy_struct)

  Collection of vertex colors

  `active`

    Active vertex color layer

    Type: | `MeshColorLayer`, (readonly)

  `active_index`

    Active vertex color index

    Type: | int in [0, inf], default 0

  `new`(name="Col")

    Add a vertex color layer to Mesh

    Parameters: | name (string, (optional, never None)) – Vertex color name
    Returns: | The newly created layer
    Return type: | `MeshColorLayer`

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Mesh.tessface_vertex_colors` |